/* すべてのレビューページ用CSS */
/* ★コメントアウト
body { 
    font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Noto Sans JP", sans-serif;
    margin: 70px 0px 16px 0px;
    padding: 16px 0;
    background:#f7f7f9;
    color:#222;
    box-sizing:border-box;
}

.footer{
    top: 10px;
    padding-bottom: 30px;
    margin-bottom: 30px;
}
*/


/* ページネーション */
.pagination {
    font-size: .875rem;
    display: flex;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;

    text-align: center;
    margin-left: auto;
    margin-right: auto;

    margin-top: 3rem;
    margin-bottom: 2rem;
}

.pagination ul {
    display: inline-flex;
}

.pagination ul li {
    display: flex;
    align-items: center;
    cursor: pointer;
}
.pagination ul li .pagination_btn {
    font-family: unitedarrows,Yu Gothic,游ゴシック,YuGothic,游ゴシック体,Hiragino,Kaku Gothic ProN,Hiragino Sans,MSPGothic,Meiryo,sans-serif;
    font-weight: 900;
    width: 1.5rem;
    padding: 5px 2px;
    margin-left: .3rem;
    margin-right: .3rem;
}

.pagination .pagination_btn.prev,
.pagination .pagination_btn.next {
    width: 5rem;
}

.pagination .prev::before {
    color: #000;
    content: "❮";
    margin: 0 .4em;
    padding:0;
}
.pagination .next::after {
    color: #000;
    content: "❯";
    margin: 0 .4em;
    padding:0;
}		

.active {
    background-color: orange !important;
}

/***************************************************
すべてのレビュー表示エリア #show_itemreviews_all
※商品ページのレビューCSSと共通ではないので注意
***************************************************/

#show_itemreviews_all{
    margin: 0 auto;
}
#show_itemreviews_all .itemreviews_toptitle,
#show_itemreviews_all .itemreviews_subtitle{
    border-bottom: 0;
    font-size: 1.125rem;
    font-weight: bold;
    padding:0;
    border:0;
    text-align:left;
    line-height:1.1;
}
#show_itemreviews_all .itemreviews_subtitle{
    font-size: 1rem;
}

#show_itemreviews_all .itemreviews_topinfo{
    margin: 25px 0;
    padding: 12px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 10px;
}

#show_itemreviews_all .itemreview_title{
    margin: 5px 0 7px 0;
    font-weight: bold;
    font-size: 0.95rem;
}

#show_itemreviews_all .itemreview_block{
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 12px;
    background: #fff;
    margin-bottom: 12px;
    list-style: none;
}
#show_itemreviews_all .itemreview_itemname{
    margin: 0 0 4px 0;
    font-weight: bold;
    font-size: 1rem;
}

/* サブタイトルと並べ替えボタンを横並びにする */
/* ★と日付を横並びにする */
#show_itemreviews_all .iteminfo,
#show_itemreviews_all .subtitle_and_sort_row,
#show_itemreviews_all .itemreview_starsrow {
    display: flex;
    justify-content: space-between;
}
#show_itemreviews_all .subtitle_and_sort_row{
    margin-bottom: 10px;
    align-items: center;
}

#show_itemreviews_all .subtitle_and_sort_row .itemreviews_subtitle,
#show_itemreviews_all .itemreview_starsrow .itemreview_stars {
    text-align: left;
    flex: 1;
}

#show_itemreviews_all .subtitle_and_sort_row .itemreviews_sort,
#show_itemreviews_all .itemreview_starsrow .itemreview_date {
    width: 150px;
    text-align: right;
    flex-shrink: 0;
}

#show_itemreviews_all .itemimage{
    margin-right: 12px;
    flex-shrink: 0;
}
#show_itemreviews_all .itemtitle{
    flex: 1;
    line-height: 1.6;
}
#show_itemreviews_all a{
    color: #222;
}
#show_itemreviews_all a:hover{
    opacity: 0.7;
    text-decoration: none;
}

#show_itemreviews_all .itemimage img{
    width: 100px;
}


/* ★の評価 */
#show_itemreviews_all .itemreview_stars{
    color: #ccc;
    position: relative;
    display: inline-block;
    line-height: 1;
}
#show_itemreviews_all .itemreview_average .itemreview_stars{
    font-size: 1.7rem;
}

#show_itemreviews_all .itemreview_average,
#show_itemreviews_all .itemreview_list{
    margin-left: 0;
}

#show_itemreviews_all .itemreview_average{
    text-align: center;
}

#show_itemreviews_all .itemreview_list .itemreview_stars{
    font-size: 1.1rem;
}

#show_itemreviews_all .itemreview_stars::before {
    content: "★★★★★";
    position: absolute;
    top: 0;
    left: 0;
    color: #f39c12;
    overflow: hidden;
    white-space: nowrap;
    height: 100%;
}
/* 各スコアごとに幅を調整 */
#show_itemreviews_all .stars-0-0::before { width: 0%; }
#show_itemreviews_all .stars-0-5::before { width: 10%; }
#show_itemreviews_all .stars-1-0::before { width: 20%; }
#show_itemreviews_all .stars-1-5::before { width: 30%; }
#show_itemreviews_all .stars-2-0::before { width: 40%; }
#show_itemreviews_all .stars-2-5::before { width: 50%; }
#show_itemreviews_all .stars-3-0::before { width: 60%; }
#show_itemreviews_all .stars-3-5::before { width: 70%; }
#show_itemreviews_all .stars-4-0::before { width: 80%; }
#show_itemreviews_all .stars-4-5::before { width: 90%; }
#show_itemreviews_all .stars-5-0::before { width: 100%; }
/* ★の評価 */

/* ★の数表示 */
#show_itemreviews_all .itemreview_stars_num {
    color: #555;
    display: inline-block;
    padding-left: 6px;
    font-weight: bold;
    font-size: 1.0rem;
}

#show_itemreviews_all .itemreview_average_title{
    font-weight: bold;
    font-size: 1rem;
    
}
#show_itemreviews_all .itemreview_average_num{
    font-weight: bold;
    font-size: 1.4rem;
    
}
#show_itemreviews_all .itemreview_count{
    font-size: 0.9rem;
}
#show_itemreviews_all .itemreview_date{
    font-size: 0.85rem;
    color: #666;
    padding-left: 7px;
}

#show_itemreviews_all .itemreview_mainrow,
#show_itemreviews_all .itemreview_reply{
    font-size:0.9rem;
}
#show_itemreviews_all .itemreview_reply{
    border: 0px solid #ddd;
    border-radius: 10px;
    padding: 12px;
    background: #eee;
    margin: 10px 0 0 30px;
}

#show_itemreviews_all .itemreview_text{
    line-height: 1.5;
}


/* すべてのレビューを見るリンク */
#show_itemreviews_all .more-link{
    display: block;
    width: 100%;
    text-align: right;
    font-size: 0.9rem;
}

/* レビュー並べ替えボタン */
.sort_wrap button{
    background-color: #fff;
    border: 0;
    padding: 0;
}
.sort_wrap{
    background-color: #fff;
}

/*////////////////////////////////////////////*/
/* Small devices (tablets, 768px and up) */
@media print, screen and (min-width:768px) {
    /*
    #show_itemreviews_all{
        margin-bottom:87px;
    }
    */
    #show_itemreviews_all .itemreviews_toptitle{
        font-size: 1.375rem;
    }
    #show_itemreviews_all .itemreviews_subtitle{
            font-size: 1.175rem;
    }
    #show_itemreviews_all .itemreview_title{
        font-size: 1rem;
    }

    /*
    #show_itemreviews_all .itemreview_average,
    #show_itemreviews_all .itemreview_list{
        margin-left: 15px;
    }
    */
    #show_itemreviews_all .itemimage img{
        width: 135px;
    }

    #show_itemreviews_all .itemreviews_topinfo{
        padding: 25px;
    }

    #show_itemreviews_all .itemimage{
        margin-right: 25px;
    }
    .sort_wrap{
        background-color: transparent;
    }
}/*END media query*/



/*////////////////////////////////////////////////////////////////////////*/
/* 並べ替えボタンまわり /css/takita_style2024_chochinSearch.css から拝借  */
/*////////////////////////////////////////////////////////////////////////*/

/* 「すべての絞り込み」「ソート」「列数変更」ボタン */
.Line1 {
    display: flex;
    width: 100%;
    max-width: 747px;
    margin: 0 auto 5px auto;
    padding: 0;
    position: relative;
    align-items: center;
    /*border:1px solid slateblue;*/
    flex-direction: row-reverse;
}

.Line1 .counter_wrap,
.Line1 .clear_wrap,
.Line1 .blank,
.Line1 .sort_wrap,
.Line1 .column_wrap {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    width: 50px;
    height: 50px;
    font-size: 0.875rem;
    color: #000;

    /*border: 1px solid lightgray;*/
}

.Line1 .clear_wrap {
    width: 123px;
}

.Line1 .sort_wrap,
.Line1 .column_wrap {
    padding-bottom: 0px;
}
    .Line1 .sort_wrap span,
.Line1 .column_wrap span {
    display: block;
    font-size: 10px;
    line-height: 17px;
    color:#000;
    height: 18px;

    /*border: 1px solid rgb(184, 46, 69);*/
}


/*
.sort_wrap,
.column_wrap {
}
*/

.Line1 .counter_wrap {
    width: 60px;
    padding: 0 10px 0 3px;
    text-align: left;
}

/* 「すべてクリア」ボタン */
/*
.Line1 .clear_wrap #filter_allClear {
    font-size: 0.875rem;
    margin-bottom: 4px;
    height: 20px;
    cursor: pointer;
    border-bottom: 1px solid #000;
}
.Line1 .clear_wrap #filter_allClear::after {
    font-family: "icomoon";
    content: "\e902";
    font-size: 0.875rem;
    color: #9b9b9b;
    margin-left: 7px;
}

.blank {
    flex:1;
}

.noFilterFunction .sort_wrap {
    display: none;
}
*/

/* すべての絞り込みボタン */
#toggleButton_filter {
    font-size: 0.875rem;
    color: #000;
    padding: 0px 16px;
    cursor: pointer;
    justify-content: center;
    width: auto;
    max-width: 231px;
    height: 35px;
    border-radius: 8px;
    background-color: #fff;
    border:1px solid #787878;
}
#toggleButton_filter:after {
    content: "";
    display: inline-block;
    width: 22px;
    height: 22px;
    margin-left: 5px;  /* ボタンとアイコンの距離 */
    background: url("https://cdn.butsudanya.co.jp/image/search/common/toggleButton_filter.png") no-repeat;
    background-size: contain;
    vertical-align: middle;
}

/* 並べ替えボタン */
#toggleButton_sort {
    cursor: pointer;
    justify-content: center;
    width: 27px;
    height: 25px;
    margin: 1px 2px 2px 2px;
    position: relative;
}
#toggleButton_sort:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    margin: 0;
    background: url("https://cdn.butsudanya.co.jp/image/search/common/toggleButton_sort.png") no-repeat;
    background-size: contain;
    vertical-align: middle;
}

/* 並べ替えボタンPC時 */
@media print, screen and (min-width:768px) {
    #toggleButton_filter {
        font-size: 0.875rem;
        height: 35px;
    }

    .sort_wrap {
        min-width: 111px;
        margin: 0;
    }
    #toggleButton_sort {
        font-size: 0.875rem;
        color: #000;
        padding: 0 5px;
        cursor: pointer;
        align-items:center;
        justify-content: center;
        width: 100%;
        height: 35px;
        border-radius: 8px;
        margin: 0;
        border: 1px solid #787878;;

    }
    #toggleButton_sort:after {
        background: none;
    }
    #toggleButton_sort:before {
        content: "並べ替え";
        display: inline-block;
        width: 60%;
        height: 22px;
    }
    #toggleButton_sort:after {
        content: "";
        display: inline-block;
        width: 20px;
        height: 20px;
        margin-left: 5px;  /* ボタンとアイコンの距離 */
        background: url("https://cdn.butsudanya.co.jp/image/search/common/toggleButton_sort.png") no-repeat;
        background-size: contain;
        vertical-align: middle;
    }

    .Line1 .column_wrap {
        display: none;
    }

    .Line1 .sort_wrap span,
    .Line1 .column_wrap span {
        display: none;
    }

}/*END media query*/


/* 並べ替えウインドウ */
.sortBox-tooltip {
    box-sizing: border-box;
    display: none;
    width: 100%;
    max-width:180px;
    position: absolute;
    top: 100%;
    right: 0%;
    background-color: #fff;
    border: 1px solid #000;
    border-radius: 0;
    box-shadow: 0 4px 16px rgba(0,0,0,0.2);
    font-size: 1rem;
    color: #000;
    padding: 18px 18px 13px 32px;
    text-align: left;
    white-space: normal;
    z-index: 10001; /* 10000以下にすると商品の隅についているNewアイコンの方が上になるのでダメ*/
    font-size: 14px;
}

.sortBox-tooltip .input-container {
    box-sizing: border-box; /* ボックスモデルを変更してパディングを含めた高さにする */
    display: block;
    margin: 0 0 10px 0;
    height: 30px;
    padding-left: 10px;
    line-height: 1.5rem;
    position: relative;
}

.sortBox-tooltip .input-container:last-child {
    margin-bottom: 0;
}

.sortBox-tooltip input[type="radio"] {
    width: 10px;   /* デフォルトのラジオボタンを消す */
    height: 10px;  /* デフォルトのラジオボタンを消す */
    position: absolute;
    top: 15px;
    left: -10px;
    cursor:default;
}

.sortBox-tooltip label {
    width: 100%;
    height: 100%;
    cursor: pointer;
    padding: 0;
    margin-top: 0px;

    position: absolute;
    top: 0px;
    left: -10px;
    background-color: #fff;

    font-weight:400;
}

.sortBox-tooltip input[type="radio"] + label::before,
.sortBox-tooltip input[type="radio"]:checked + label::before {
    font-family: "icomoon";
    content: "\e901";   /* チェックマーク */
    color: #fff;
    font-size: 0.9rem;
    width: 18px;
    height: 18px;
    margin-right: 10px;
    background-color: #fff;
    box-sizing: border-box;
}

.sortBox-tooltip input[type="radio"]:hover + label::before {
    color: #ccc;
}

.sortBox-tooltip input[type="radio"]:checked + label::before {
    color: #000;
}
